﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" />
    <div>
        <table>
            <tr>
                <td style="background-color: Gray; height: 200px; color: White; text-align: center;
                    font-size: small">
                    <asp:Label ID="Label1" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <telerik:RadGrid ID="RadGrid1" runat="server" DataSourceID="SqlDataSource1" GridLines="None"
                        Skin="Vista" AllowPaging="True" PageSize="5" OnItemCommand="RadGrid1_ItemCommand">
                        <HeaderContextMenu EnableTheming="True">
                            <CollapseAnimation Type="OutQuint" Duration="200"></CollapseAnimation>
                        </HeaderContextMenu>
                        <MasterTableView AutoGenerateColumns="False" DataKeyNames="ProductID" DataSourceID="SqlDataSource1">
                            <Columns>
                                <telerik:GridButtonColumn ButtonType="LinkButton" Text="Get Items" CommandName="GetAllItems">
                                </telerik:GridButtonColumn>
                                <telerik:GridBoundColumn DataField="ProductID" DataType="System.Int32" HeaderText="ProductID"
                                    ReadOnly="True" SortExpression="ProductID" UniqueName="ProductID">
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName"
                                    UniqueName="ProductName">
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="SupplierID" HeaderText="SupplierID" SortExpression="SupplierID"
                                    Display="false" UniqueName="SupplierID" DataType="System.Int32">
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="CategoryID" DataType="System.Int32" Display="false"
                                    HeaderText="CategoryID" SortExpression="CategoryID" UniqueName="CategoryID">
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="QuantityPerUnit" Display="false" HeaderText="QuantityPerUnit"
                                    SortExpression="QuantityPerUnit" UniqueName="QuantityPerUnit">
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="UnitPrice" DataType="System.Decimal" HeaderText="UnitPrice"
                                    SortExpression="UnitPrice" UniqueName="UnitPrice">
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="UnitsInStock" DataType="System.Int16" Display="false"
                                    HeaderText="UnitsInStock" SortExpression="UnitsInStock" UniqueName="UnitsInStock">
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="UnitsOnOrder" DataType="System.Int16" Display="false"
                                    HeaderText="UnitsOnOrder" SortExpression="UnitsOnOrder" UniqueName="UnitsOnOrder">
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="ReorderLevel" DataType="System.Int16" Display="false"
                                    HeaderText="ReorderLevel" SortExpression="ReorderLevel" UniqueName="ReorderLevel">
                                </telerik:GridBoundColumn>
                                <telerik:GridCheckBoxColumn DataField="Discontinued" DataType="System.Boolean" Display="false"
                                    HeaderText="Discontinued" SortExpression="Discontinued" UniqueName="Discontinued">
                                </telerik:GridCheckBoxColumn>
                            </Columns>
                        </MasterTableView>
                        <ClientSettings Selecting-AllowRowSelect="true" EnablePostBackOnRowClick="false">
                            <Selecting AllowRowSelect="True"></Selecting>
                        </ClientSettings>
                        <FilterMenu EnableTheming="True">
                            <CollapseAnimation Type="OutQuint" Duration="200"></CollapseAnimation>
                        </FilterMenu>
                    </telerik:RadGrid>
                </td>
            </tr>
        </table>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            SelectCommand="SELECT [ProductID], [ProductName], [SupplierID], [CategoryID], [QuantityPerUnit], [UnitPrice], [UnitsInStock], [UnitsOnOrder], [ReorderLevel], [Discontinued] FROM [Products]">
        </asp:SqlDataSource>
    </div>
    </form>
</body>
</html>
